# SPDX-License-Identifier: BSD-3-Clause
---
- name: Test executing the role with default parameters
  hosts: all
  gather_facts: false
  roles:
    - linux-system-roles.network
  tasks:
    - name: Include the task 'el_repo_setup.yml'
      include_tasks: tasks/el_repo_setup.yml
    - name: Test warning and info logs
      assert:
        that:
          - "'warnings' not in __network_connections_result"
        msg: "There are warnings"
